      subroutine get_srflux
      


      use Agrif_Util
#include "Param_BeforeCall_get_srflux.h"
      

        call Sub_Loop_get_srflux( Agrif_tabvars_i(14)%iarray0, Agrif_tab
     &vars_i(4)%iarray0, Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)
     &%iarray0, Agrif_tabvars_r(8)%array0, Agrif_tabvars_i(176)%iarray0,
     & Agrif_tabvars(213)%array1, Agrif_tabvars(214)%array3, Agrif_tabva
     &rs_r(3)%array0, Agrif_tabvars_r(5)%array0, Agrif_tabvars_r(12)%arr
     &ay0, Agrif_tabvars_r(75)%array0, Agrif_tabvars(212)%array1, Agrif_
     &tabvars_i(279)%iarray0, Agrif_tabvars_i(280)%iarray0, Agrif_tabvar
     &s_r(76)%array0, Agrif_tabvars_i(34)%iarray0, Agrif_tabvars_i(278)%
     &iarray0, Agrif_tabvars_i(276)%iarray0, Agrif_tabvars_c(18)%carray2
     &, Agrif_tabvars_i(277)%iarray0, Agrif_tabvars_i(28)%iarray0, Agrif
     &_tabvars_c(10)%carray0, Agrif_tabvars_i(147)%iarray0, Agrif_tabvar
     &s_i(281)%iarray0, Agrif_tabvars_i(167)%iarray0)

      end


#include "Sub_Loop_get_srflux.h"
      subroutine set_srflux_tile (Istr,Iend,Jstr,Jend)      


      use Agrif_Util
#include "Param_BeforeCall_set_srflux_tile.h"
      integer(4) :: Istr
      integer(4) :: Iend
      integer(4) :: Jstr
      integer(4) :: Jend
      

        call Sub_Loop_set_srflux_tile(Istr,Iend,Jstr,Jend, Agrif_tabvars
     &_i(14)%iarray0, Agrif_tabvars_i(4)%iarray0, Agrif_tabvars_i(13)%ia
     &rray0, Agrif_tabvars_i(2)%iarray0, Agrif_tabvars_i(167)%iarray0, A
     &grif_tabvars_r(8)%array0, Agrif_tabvars(213)%array1, Agrif_tabvars
     &(214)%array3, Agrif_tabvars_r(75)%array0, Agrif_tabvars(215)%array
     &2, Agrif_tabvars_i(278)%iarray0, Agrif_tabvars_i(158)%iarray0, Agr
     &if_tabvars_i(147)%iarray0, Agrif_tabvars_r(76)%array0, Agrif_tabva
     &rs_l(6)%larray0, Agrif_tabvars(212)%array1, Agrif_tabvars_r(3)%arr
     &ay0, Agrif_tabvars_r(5)%array0, Agrif_tabvars_i(281)%iarray0, Agri
     &f_tabvars_l(13)%larray0, Agrif_tabvars_i(8)%iarray0, Agrif_tabvars
     &_l(14)%larray0, Agrif_tabvars_l(11)%larray0, Agrif_tabvars_i(7)%ia
     &rray0, Agrif_tabvars_l(12)%larray0)

      end


#include "Sub_Loop_set_srflux_tile.h"
      subroutine diurnal_srflux_empty

      use Agrif_Types, only : Agrif_tabvars


#include "Param_BeforeCall_diurnal_srflux_empty.h"
      return
      end
